Bug 51148 - [MSBuild] .mdb files not copied for F# projects
Summary: [MSBuild] .mdb files not copied for F# projects
Status: VERIFIED FIXED
Alias: None
Product: Tools
Classification: Mono
Component: msbuild (show other bugs)
Version: 4.8.0 (C9)
Hardware: PC Mac OS
: High major
Target Milestone: 4.8.0 (C9)
Assignee: Ankit Jain
URL:
Depends on:
Blocks:
 
Reported: 2016-12-29 17:58 UTC by Jatin
Modified: 2017-02-07 10:23 UTC (History)
6 users (show)

See Also:
Tags: C9RegressionTesting
Is this bug a regression?: Yes
Last known good build: XS 6.1.3.19


Attachments

Comment 1 David Karlaš 2017-01-05 12:35:46 UTC
Do you have "Build with MSBuild instead of xbuild(EXPERIMENTAL)" setting enabled?
Comment 3 David Karlaš 2017-01-09 11:53:41 UTC
@Akin can you look into this? Who has to fix this? F# .targets or MSBuild?
Basically `_DebugFileExt` is not set to .mdb and F# compiler produces .mdb which is not copied to output folder...
Comment 4 Ankit Jain 2017-02-03 19:02:18 UTC
Opened a PR with the fix: https://github.com/xamarin/xamarin-macios/pull/1642
Comment 5 Ankit Jain 2017-02-06 20:34:01 UTC
Merged
Comment 6 Danish Akhtar 2017-02-07 07:13:49 UTC
I have checked this issue with both master and C9 builds and observed that now this issue isa not exists.

Breakpoint gets hit successfully with F# iOS application.
Screencast with C9 builds: https://www.screencast.com/t/yRMsiwbQng
Screencast with master builds: https://www.screencast.com/t/pMhtxxEtgi

Hence closing this issue.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.